com.informix.jdbcx

## Interface IfmxConnectedRowSet

All Superinterfaces:
  java.lang.AutoCloseable, java.sql.ResultSet, javax.sql.RowSet, java.sql.Wrapper

    public interface IfmxConnectedRowSet
    extends javax.sql.RowSet

The IfmxConnectedRowSet interface contains Informix extensions to the JDBC RowSet interface.

### Field Summary

### Fields inherited from interface java.sql.ResultSet

`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `IfxSetObject(int i, java.lang.Object x, int ifxType)` This method is the same as the setObject() method, except that the driver converts the object to the given IfxType when sending it to the database.
`void` `IfxSetObject(int i, java.lang.Object x, int scale, int ifxType)` This method is the same as the setObject() method, except that the driver converts the object to the given IfxType when sending it to the database.
`void` `setArray(int i, java.sql.Array x, int ifxType)` Sets an Array parameter.
`void` `setAsciiStream(int i, java.io.InputStream x, int length, int ifxType)` When a very large ASCII value is inserted into to a LONGVARCHAR column, it may be more practical to send the ASCII value via a java.io.InputStream.
`void` `setBinaryStream(int i, java.io.InputStream x, int length, int ifxType)` When a very large binary value is inserted into a LONGVARBINARY column, it may be more practical to send the binary value via a java.io.InputStream.
`void` `setBlob(int i, java.sql.Blob x, int ifxType)` Sets a BLOB parameter.
`void` `setBoolean(int i, boolean x, int ifxType)` Sets a parameter to a Java boolean value.
`void` `setByte(int i, byte x, int ifxType)` Sets a parameter to a Java byte value.
`void` `setBytes(int i, byte[] x, int ifxType)` Sets a parameter to a Java array of bytes.
`void` `setCharacterStream(int i, java.io.Reader x, int length, int ifxType)` When a very large UNICODE value is input to a LONGVARCHAR parameter, it may be more practical to send it via a java.io.Reader.
`void` `setClob(int i, java.sql.Clob x, int ifxType)` Sets a CLOB parameter.
`void` `setInterval(int i, Interval x)` Sets a parameter to an Interval value.
`void` `setIntervalDF(int i, IntervalDF x)` Sets a parameter to an IntervalDF value.
`void` `setIntervalYM(int i, IntervalYM x)` Sets a parameter to an IntervalYM value.
`void` `setNull(int i, int sqlType, int ifxType)` Sets a parameter to SQL NULL.

### Methods inherited from interface javax.sql.RowSet

`addRowSetListener, clearParameters, execute, getCommand, getDataSourceName, getEscapeProcessing, getMaxFieldSize, getMaxRows, getPassword, getQueryTimeout, getTransactionIsolation, getTypeMap, getUrl, getUsername, isReadOnly, removeRowSetListener, setArray, setAsciiStream, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBlob, setBlob, setBlob, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setClob, setClob, setClob, setCommand, setConcurrency, setDataSourceName, setDate, setDate, setDate, setDate, setDouble, setDouble, setEscapeProcessing, setFloat, setFloat, setInt, setInt, setLong, setLong, setMaxFieldSize, setMaxRows, setNCharacterStream, setNCharacterStream, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNClob, setNClob, setNClob, setNClob, setNString, setNString, setNull, setNull, setNull, setNull, setObject, setObject, setObject, setObject, setObject, setObject, setPassword, setQueryTimeout, setReadOnly, setRef, setRowId, setRowId, setShort, setShort, setSQLXML, setSQLXML, setString, setString, setTime, setTime, setTime, setTime, setTimestamp, setTimestamp, setTimestamp, setTimestamp, setTransactionIsolation, setType, setTypeMap, setURL, setUrl, setUsername`

### Methods inherited from interface java.sql.ResultSet

`absolute, afterLast, beforeFirst, cancelRowUpdates, clearWarnings, close, deleteRow, findColumn, first, getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getConcurrency, getCursorName, getDate, getDate, getDate, getDate, getDouble, getDouble, getFetchDirection, getFetchSize, getFloat, getFloat, getHoldability, getInt, getInt, getLong, getLong, getMetaData, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getObject, getObject, getObject, getObject, getRef, getRef, getRow, getRowId, getRowId, getShort, getShort, getSQLXML, getSQLXML, getStatement, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getType, getUnicodeStream, getUnicodeStream, getURL, getURL, getWarnings, insertRow, isAfterLast, isBeforeFirst, isClosed, isFirst, isLast, last, moveToCurrentRow, moveToInsertRow, next, previous, refreshRow, relative, rowDeleted, rowInserted, rowUpdated, setFetchDirection, setFetchSize, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBoolean, updateBoolean, updateByte, updateByte, updateBytes, updateBytes, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateClob, updateClob, updateDate, updateDate, updateDouble, updateDouble, updateFloat, updateFloat, updateInt, updateInt, updateLong, updateLong, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNString, updateNString, updateNull, updateNull, updateObject, updateObject, updateObject, updateObject, updateObject, updateObject, updateObject, updateObject, updateRef, updateRef, updateRow, updateRowId, updateRowId, updateShort, updateShort, updateSQLXML, updateSQLXML, updateString, updateString, updateTime, updateTime, updateTimestamp, updateTimestamp, wasNull`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Method Detail

#### setNull

    void setNull(int i,
                 int sqlType,
                 int ifxType)
          throws java.sql.SQLException

Sets a parameter to SQL NULL.

Note: You must specify the parameter's SQL type.

Parameters:
  `i` - The first parameter is 1, the second is 2, and so on.
  `sqlType` - The SQL type code defined by java.sql.Types.
  `ifxType` - The Informix SQL data type defined in the IfxTypes class.
Throws:
  `java.sql.SQLException`
See Also:
  `IfxTypes`

#### setBoolean

    void setBoolean(int i,
                    boolean x,
                    int ifxType)
             throws java.sql.SQLException

Sets a parameter to a Java boolean value. The driver converts this to the given IfxType when it sends the value to the database.

Parameters:
  `i` - The first parameter is 1, the second is 2, and so on.
  `x` - The parameter value.
  `ifxType` - The Informix type to bind as.
Throws:
  `java.sql.SQLException`
See Also:
  `IfxTypes`

#### setByte

    void setByte(int i,
                 byte x,
                 int ifxType)
          throws java.sql.SQLException

Sets a parameter to a Java byte value. The driver converts this to the given Ifxtype when it sends the value to the database.

Parameters:
  `i` - The first parameter is 1, the second is 2, and so on.
  `x` - The parameter value.
  `ifxType` - The Informix type to bind as.
Throws:
  `java.sql.SQLException`
See Also:
  `IfxTypes`

#### setBytes

    void setBytes(int i,
                  byte[] x,
                  int ifxType)
           throws java.sql.SQLException

Sets a parameter to a Java array of bytes. The driver converts this to the given IfxType when it sends the value to the database.

Parameters:
  `i` - The first parameter is 1, the second is 2, and so on.
  `x` - The parameter value.
  `ifxType` - The Informix type to bind as.
Throws:
  `java.sql.SQLException`
See Also:
  `IfxTypes`

#### setAsciiStream

    void setAsciiStream(int i,
                        java.io.InputStream x,
                        int length,
                        int ifxType)
                 throws java.sql.SQLException

When a very large ASCII value is inserted into to a LONGVARCHAR column, it may be more practical to send the ASCII value via a java.io.InputStream. The JDBC driver reads the data from the stream as needed until it reaches the end-of-file. The JDBC driver does any necessary conversion from ASCII to the given ifxType, if applicable, when sending to the database.

Note: This stream object can either be a standard Java stream object or your own subclass that implements the standard interface.

Parameters:
  `i` - The first parameter is 1, the second is 2, and so on.
  `x` - The java input stream that contains the ASCII value.
  `length` - The number of bytes in the stream.
  `ifxType` - The Informix type to bind as.
Throws:
  `java.sql.SQLException`
See Also:
  `IfxTypes`

#### setBinaryStream

    void setBinaryStream(int i,
                         java.io.InputStream x,
                         int length,
                         int ifxType)
                  throws java.sql.SQLException

When a very large binary value is inserted into a LONGVARBINARY column, it may be more practical to send the binary value via a java.io.InputStream. The JDBC driver reads the data from the stream as needed until it reaches the end-of-file. The driver converts to the given ifxType, if applicable, when sending to the database.

Note: This stream object can either be a standard Java stream object or your own subclass that implements the standard interface.

Parameters:
  `i` - The first parameter is 1, the second is 2, and so on.
  `x` - The java input stream that contains the binary value.
  `length` - The number of bytes in the stream.
  `ifxType` - The Informix type to bind as.
Throws:
  `java.sql.SQLException`
See Also:
  `IfxTypes`

#### setCharacterStream

    void setCharacterStream(int i,
                            java.io.Reader x,
                            int length,
                            int ifxType)
                     throws java.sql.SQLException

When a very large UNICODE value is input to a LONGVARCHAR parameter, it may be more practical to send it via a java.io.Reader. JDBC will read the data from the stream as needed, until it reaches end-of-file. The JDBC driver will do any necessary conversion from UNICODE to the database char format.

Note: This stream object can either be a standard Java stream object or your own subclass that implements the standard interface.

Parameters:
  `parameterIndex` - the first parameter is 1, the second is 2, ...
  `x` - the java reader which contains the UNICODE data
  `length` - the number of characters in the stream
  `ifxType` - the Informix type to bind as
Throws:
  `java.sql.SQLException` - if a database-access error occurs.

#### setInterval

    void setInterval(int i,
                     Interval x)
              throws java.sql.SQLException

Sets a parameter to an Interval value. The driver converts this to an Informix Interval value when it sends the value to the database.

Parameters:
  `i` - The first parameter is 1, the second is 2, and so on.
  `x` - The parameter value.
Throws:
  `java.sql.SQLException`

#### setIntervalYM

    void setIntervalYM(int i,
                       IntervalYM x)
                throws java.sql.SQLException

Sets a parameter to an IntervalYM value. The driver converts this to an Informix Interval value when it sends the value to the database.

Parameters:
  `i` - The first parameter is 1, the second is 2, and so on.
  `x` - The parameter value.
Throws:
  `java.sql.SQLException`

#### setIntervalDF

    void setIntervalDF(int i,
                       IntervalDF x)
                throws java.sql.SQLException

Sets a parameter to an IntervalDF value. The driver converts this to an Informix Interval value when it sends the value to the database.

Parameters:
  `i` - The first parameter is 1, the second is 2, and so on.
  `x` - The parameter value.
Throws:
  `java.sql.SQLException`

#### IfxSetObject

    void IfxSetObject(int i,
                      java.lang.Object x,
                      int scale,
                      int ifxType)
               throws java.sql.SQLException

This method is the same as the setObject() method, except that the driver converts the object to the given IfxType when sending it to the database.

Parameters:
  `i` - The first parameter is 1, the second is 2, and so on.
  `x` - The object containing the input parameter value.
  `scale` - For java.sql.Types.DECIMAL or java.sql.Types.NUMERIC types, the number of digits after the decimal. For all other types, this value is ignored.
  `ifxType` - The Informix type to bind as.
Throws:
  `java.sql.SQLException`
See Also:
  `IfxTypes`

#### IfxSetObject

    void IfxSetObject(int i,
                      java.lang.Object x,
                      int ifxType)
               throws java.sql.SQLException

This method is the same as the setObject() method, except that the driver converts the object to the given IfxType when sending it to the database.

Parameters:
  `i` - The first parameter is 1, the second is 2, and so on.
  `x` - The object containing the input parameter value.
  `ifxType` - The Informix type to bind as.
Throws:
  `java.sql.SQLException`
See Also:
  `IfxTypes`

#### setBlob

    void setBlob(int i,
                 java.sql.Blob x,
                 int ifxType)
          throws java.sql.SQLException

Sets a BLOB parameter. The driver converts the parameter to the given IfxType when sending it to the database.

Parameters:
  `i` - The first parameter is 1, the second is 2, and so on.
  `x` - An object representing a BLOB.
  `ifxType` - The Informix type to bind as.
Throws:
  `java.sql.SQLException`
See Also:
  `IfxTypes`

#### setClob

    void setClob(int i,
                 java.sql.Clob x,
                 int ifxType)
          throws java.sql.SQLException

Sets a CLOB parameter. The driver converts the parameter to the given IfxType when sending it to the database.

Parameters:
  `i` - The first parameter is 1, the second is 2, and so on.
  `x` - An object representing a CLOB.
  `ifxType` - The Informix type to bind as.
Throws:
  `java.sql.SQLException`
See Also:
  `IfxTypes`

#### setArray

    void setArray(int i,
                  java.sql.Array x,
                  int ifxType)
           throws java.sql.SQLException

Sets an Array parameter. The driver converts the parameter to the given IfxType when sending it to the database.

Parameters:
  `i` - The first parameter is 1, the second is 2, and so on.
  `x` - An object representing an SQL array.
  `ifxType` - The Informix type to bind as.
Throws:
  `java.sql.SQLException`
See Also:
  `IfxTypes`